// Carregando idiomas - fetch API

function loadLangs() {
  var init = {
    mode: "same-origin"
  };
  fetch(idiomasURL[idiomaEscolhido], init)
  .then(response => response.text())
  .then(function (text) {
    let msg = text.split("\n"); // quebra mensagem por linha
    msg.forEach((key) => {
      try {
        let line = key.split("="); // divide em antes e depois do =
        let a = line[0], b = line[1];
        a = a.trim();
        b = b.trim();
        idiomas[a] = b;
      }catch{
        //console.log("erro de sintaxe");
      }
    });
  });
}

function printLangs() {
  document.getElementById("texto").value = idiomas.loading + '\n' + idiomas["menu_back"];
  console.log(idiomas);
}

function escolherIdioma(idioma) {
  if (idioma == "en_US") idiomaEscolhido = 0;
  else if (idioma == "pt_BR") idiomaEscolhido = 1;
}

let idiomaEscolhido = 1;
let idiomas = {};
let idiomasURL = [
  "lang/en_US",
  "lang/pt_BR"
];
